﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace 骑士飞行棋
{
    class Program
    {
        //在下面的数组存储我们游戏地图各各关卡
        //数组的下标为0的元素对应地图上的第1格    下标为1的元素对应元素第2格...下标为n的元素对应n+1格
        //在数组中   1：表示幸运轮盘 ◎
        //           2: 表示地雷 ☆
        //           3: 表示暂停 ▲
        //           4: 表示时空隧道 卍
        //           0: 表示普通  □
        public static int[] map = new int[100];//地图中一共100个点
        public static string[] names = new string[2];//names[0]中存储玩家A的姓名，names[1]中存储玩家B的姓名
        public static int[] playerPos = { 0, 0 };//playerPos[0]中存储玩家A的位置，playerPos[1]中存储玩家B的位置
        public static int step = 0;//用于存放产生的随机数
        public static string input = "";//用于存储用户的输入
        public static string msg = "";//用于存储当用户踩到某个关卡，输出的话
        public static bool[] isStop = { false, false };//isStop[0]表示玩家A是否上一次走到暂停，isStop[1]表示玩家B是否上一次走到暂停
        public static Random r = new Random();
       
     
        static void Main(string[] args)
        {          
            ShowUI();
            Initial.InitialName();
            Console.Clear();
            ShowUI();
            Console.WriteLine("对战开始......");
            Console.WriteLine("{0}用A来表示", names[0]);
            Console.WriteLine("{0}用B来表示", names[1]);
            Console.WriteLine("如果AB在同一位置，用<>表示");
            Initial.InitialMap();
            drawMap.drawMaps();
            Console.WriteLine("开始游戏......");
            while (playerPos[0] < 99 && playerPos[1] < 99)
            {
                match.Action(0);//玩家A掷筛子
                if (Program.playerPos[0] < 99)//当玩家没有胜利的时候，玩家B可以继续掷筛子
                    match.Action(1);//玩家B掷筛子
            }
            Console.ReadKey();
           
        }

        static void ShowUI()
        {
            Console.WriteLine("*******************************************************");
            Console.WriteLine("*                                                     *");
            Console.WriteLine("*         骑     士     飞     行      棋             *");
            Console.WriteLine("*                                                     *");
            Console.WriteLine("*******************************************************");
            
        }

     
    }
}
