﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace 骑士飞行棋
{
    class drawMap
    {
        public static void drawMaps()
        {
            Console.WriteLine("图例:幸运轮盘：◎   地雷：☆   暂停：▲     时空隧道：卍  ");//向玩家解释各个图标的含义
            //绘制第一行
            for(int i=0;i<30;i++)
                Console.Write(getMapString(i));
                Console.WriteLine();
            //绘制右边边第一列
                for (int i = 30; i < 35; i++)
                {
                    for (int j = 0; j < 29; j++)
                        Console.Write("  ");
                    Console.Write(getMapString(i));
                    Console.WriteLine();
                }
            //绘制第二行
                for (int i = 63; i >= 34; i--)
                    Console.Write(getMapString(i));
                Console.WriteLine();
            //绘制左边第一列
                for (int i = 65; i < 69; i++)
                {
           
                    Console.Write(getMapString(i));
                    Console.WriteLine();
                }
            //绘制第三行
                for (int i = 69; i < 100; i++)
                    Console.Write(getMapString(i));
                Console.WriteLine();
        }

        static string getMapString(int pos)
        {
            string result = "";
            if (Program.playerPos[0] == pos&&Program.playerPos[1]==pos)
            {
                Console.ForegroundColor = ConsoleColor.Yellow;
                result = "<>";
            }
            else if (Program.playerPos[0] == pos)
            {
                Console.ForegroundColor = ConsoleColor.Yellow;
                result = "A";
            }
            else if (Program.playerPos[1] == pos)
            {
                Console.ForegroundColor = ConsoleColor.Yellow;
                result = "B";
            }
            else
            {
                switch (Program.map[pos])
                {
                    case 0:
                        Console.ForegroundColor = ConsoleColor.White;
                        result = "□";
                        break;
                    case 1:
                        Console.ForegroundColor = ConsoleColor.Red;
                        result = "◎";
                        break;
                    case 2:
                        Console.ForegroundColor = ConsoleColor.Green;
                        result = "☆";
                        break;
                    case 3:
                        Console.ForegroundColor = ConsoleColor.Blue;
                        result = "▲";
                        break;
                    case 4:
                        Console.ForegroundColor = ConsoleColor.DarkBlue;
                        result = "卍";
                        break;
                }
            }
            return result;
        }
    }
}
