﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace 骑士飞行棋
{
    class match
    {
        public static void Action(int playerNumber)
        {
            if (Program.isStop[playerNumber] == false)
            {
                Console.WriteLine("{0}按任意键开始掷筛子......", Program.names[playerNumber]);
               ConsoleKeyInfo sec = Console.ReadKey(true);//读取用户在键盘上键入的内容
                    Program.step = Program.r.Next(1, 7);//产生一个1到6之间的随机数

                //当用户先输入Tab，在输入F1之后，就进入作弊环节，在状态下用户可以任意输入一个1到100之间的数字来当做自己掷的点数
                if (sec.Key == ConsoleKey.Tab)//如果用户键入的内容为Tab键
                {
                    ConsoleKeyInfo sec1 = Console.ReadKey(true);//新建一个变量用来读取用户在键盘上的输入
                    //如果用户按下了F1键
                    if (sec1.Key == ConsoleKey.F1)
                    {
                        Program.step = baseUse.ReadInt(1, 100);//让用户输入一个1到100之间的数字
                    }
                }

                Console.WriteLine("{0}掷出了{1}", Program.names[playerNumber], Program.step);
                Console.WriteLine("{0}按任意键开始行动......", Program.names[playerNumber]);
                Console.ReadKey();

                Program.playerPos[playerNumber] += Program.step;//用户向前走step步
                baseUse.checkPos();//检查是否超出了边界

                if (Program.playerPos[playerNumber] == Program.playerPos[1 - playerNumber])//当玩家A/B踩到了玩家B/A的时候
                {
                    Program.playerPos[1 - playerNumber] = 0;
                    Program.msg = string.Format("{0}踩到了{1},{1}退回了原点", Program.names[playerNumber], Program.names[1 - playerNumber]);
                }
                else //如果没有踩到的话
                {
                    switch (Program.map[Program.playerPos[playerNumber]])
                    {
                        case 0://没有踩到任何机关
                            Program.msg = "";
                            break;
                        case 1://进入了幸运轮盘
                            Console.Clear();
                            Console.WriteLine("你走到了幸运轮盘，请选择运气？");
                            Console.WriteLine("1 ---交换位置  2---轰炸对方");
                            int userSelect = baseUse.ReadInt(1, 2);
                            if (userSelect == 1)//与对方交换位置
                            {
                                int temp = Program.playerPos[playerNumber];
                                Program.playerPos[playerNumber] = Program.playerPos[1 - playerNumber];
                                Program.playerPos[1 - playerNumber] = temp;
                                Program.msg = string.Format("{0}选了与对方交换位置", Program.names[playerNumber]);
                            }
                            else//轰炸对方
                            {
                                Program.playerPos[1 - playerNumber] -= 6;
                                Program.msg = string.Format("{0}轰炸了{1},{1}退回了6格", Program.names[playerNumber], Program.names[1 - playerNumber]);
                                baseUse.checkPos();
                            }
                            break;
                        case 2://踩到了地雷
                            Program.playerPos[playerNumber] -= 6;
                            baseUse.checkPos();
                            Program.msg = string.Format("{0}踩到了地雷,{0}退了6格", Program.names[playerNumber]);
                            break;
                        case 3:
                            //暂停一次
                            Program.isStop[playerNumber] = true;
                            Program.msg = string.Format("{0}走到了红灯，下次暂停一次啊", Program.names[playerNumber]);
                            break;
                        case 4:
                            //踩到时空隧道
                            Program.playerPos[playerNumber] += 10;
                            baseUse.checkPos();
                            Program.msg = string.Format("{0}进入了时空隧道，爽死了，进了10格", Program.names[playerNumber]);
                            break;
                    }
                }
            }
            else
                Program.isStop[playerNumber] = false;

            if (Program.playerPos[playerNumber] >= 99)//当有人胜利的时候
            {
                Console.Clear();
                if (Program.playerPos[0] >= 99)
                {
                    Console.WriteLine("{0}胜利了!!游戏结束", Program.names[0]);
                }
                else
                {
                    Console.WriteLine("{0}胜利了!!游戏结束", Program.names[1]);
                }
            }
            else//如果没有人走到尽头
            {
                Console.Clear();
                drawMap.drawMaps();
                if (Program.msg != "")
                {
                    Console.WriteLine(Program.msg);
                }
                Console.WriteLine("{0}掷出了{1}，行动完成！", Program.names[playerNumber], Program.step);
                Console.WriteLine("*************玩家A和玩家B的位置*********");
                Console.WriteLine("{0}的位置为：{1}", Program.names[0], Program.playerPos[0] + 1);
                Console.WriteLine("{0}的位置为：{1}", Program.names[1], Program.playerPos[1] + 1);
            }
        }



    }
}
